using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;
using System.Linq;

/// <summary>
/// Automatically switch to Edit Mode when a Scene is loaded
/// </summary>

namespace MVRPlugin 
{
    public class EditModeOnSceneLoad : MVRScript
    {
        public override void Init()
        {
            try
            {
				SuperController.singleton.onSceneLoadedHandlers += OnSceneLoaded;
            }
            catch (Exception e)
            {
                SuperController.LogError("Failed to initialize plugin: " + e);
            }
        }
        
        private void OnSceneLoaded()
        {
            try 
			{
				SuperController.singleton.gameMode = SuperController.GameMode.Edit;
            }
            catch (Exception e) {
                SuperController.LogError("Exception caught: " + e);
            }
        }

    }
}
